
export const pageLoad = (meta, fn, params) => {
  return new Promise(async (resolve, reject) => {
    if (meta.current_page) {
      if (meta.next_page_url) {
        let ret = await fn(params);
        resolve(ret);
      } else reject("last page");
    } else {
      console.log("first page");
      let ret = await fn(params);
      resolve(ret);
    }
  })
}